View Issue Details

IDProjectCategoryView StatusLast Update
0000101Bacula-Webbug-pgsqlpublic2013-11-19 15:05
ReporterrogeriobastosAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.2.13-1 
Target Version6.0.0Fixed in Version6.0.0 
Summary0000101: Wrong SQL to make 'Last used volumes graph'
DescriptionI have a volume with Media.LastWritten=NULL, but Media.Volstatus=Append. It is listed on top of table even it never was used. I think you should use AND instead OR in the follow query (from index.php):

$where[] = "(Media.Volstatus != 'Disabled') OR (Media.LastWritten IS NOT NULL)";
TagsNo tags attached.

Activities

davide

2013-06-03 14:23

manager   ~0000261

Hi,

next release will contain a bugfix for this.

Thanks for the bug report.

Regards

davide

2013-11-08 14:37

manager   ~0000287

Fixed in next release

Regards

davide

2013-11-19 15:05

manager   ~0000293

Issue closed

Issue History

Date Modified Username Field Change
2013-05-04 05:01 rogeriobastos New Issue
2013-05-19 12:15 davide Product Version => 5.2.13-1
2013-05-19 12:16 davide Assigned To => davide
2013-05-19 12:16 davide Status new => assigned
2013-06-03 14:23 davide Note Added: 0000261
2013-10-15 21:25 davide Target Version => 6.0.0
2013-11-08 14:37 davide Note Added: 0000287
2013-11-08 14:37 davide Status assigned => resolved
2013-11-08 14:37 davide Fixed in Version => 6.0.0
2013-11-08 14:37 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000293